=== libraries/random/tests/Makefile ===
# This Makefile runs the tests using GHC's testsuite framework.  It
# assumes the package is part of a GHC build tree with the testsuite
# installed in ../../../testsuite.

TOP=../../../testsuite
include $(TOP)/mk/boilerplate.mk
include $(TOP)/mk/test.mk


# Build tests locally without the central GHC testing infrastructure:
local:
	ghc --make rangeTest.hs
	ghc --make random1283.hs
