=== libraries/dph/examples/delaunay/Makefile ===
TOPDIR = ..
BINARIES = delaunay delaunaySVG

HCCFLAGS = -optc-O3

delaunay_DPH = delaunay
delaunay_SOURCES = Main.hs SVG.hs Types.hs Sort.hs Hull.hs Delaunay.hs

delaunaySVG_DPH = delaunaySVG
delaunaySVG_SOURCES = MainSVG.hs SVG.hs Types.hs Sort.hs Hull.hs Delaunay.hs

include $(TOPDIR)/mk/test.mk
