=== libraries/dph/dph-examples/examples/spectral/QuickHull/c/Makefile ===

quickhull : Main.c QuickHull.c SVG.c Timing.c Timing.h Vector.h
	gcc --std=c99 -O2 -o quickhull Main.c QuickHull.c SVG.c Timing.c
