=== debian/changelog ===
ghc (7.4.0.20111219-2) experimental; urgency=low

  * Fix building bundeled haddock out-of-tree (We need to re-think this
    approach).
  * Drop patches/lpthread-bootstrap-workaround, probably not needed any
    more. Also drop autoconf dependency.

 -- Joachim Breitner <nomeata@debian.org>  Fri, 23 Dec 2011 09:23:42 +0100

ghc (7.4.0.20111219-1) experimental; urgency=low

  * New upstream release (AKA 7.4.1-rc1)
    + Closes: #635587 (GHCi linker could not find libstdc++)
    + Closes: #514720 (cabal installation wrecks permissions) (was actually
      closed earlier, I think)
    + Closes: #533022 (Data.Word should define instances of Random for each
      type)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 22 Dec 2011 14:34:50 +0100
