## ghc 7.4.0.20120108

=== debian/changelog ===
ghc (7.4.0.20120108-1) experimental; urgency=low

  * s/armef/armhf/ in debian/control 
  * New upstream release, drop all patches introduced in 7.4.0.20111219-3,
    applied upstream. 

 -- Joachim Breitner <nomeata@debian.org>  Mon, 09 Jan 2012 13:22:18 +0100

ghc (7.4.0.20111219-4) experimental; urgency=low

  * Prefix haddock interface number with "haddock-interface" in
    Depends/Provides pair
  * Switch to llvm and registered builds on arm* 
  * Do not set UseLibFFIForAdjustors in debian/rules, as the code in
    ./mk/config.mk.in seems to do the same anyways. 
  * Do not set GhcWithInterpreter=YES for kfreebsd-*, done in
    ./mk/config.mk.in by now. 
  * Do not set GhcUnregisterised=YES in debian/rules, ./mk/config.mk.in
    already makes the right choice. 
  * Do not build the accidentally included dph libraries. 
  * Explicitly depend on llv-3.0 and use corresponding binary names.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 02 Jan 2012 20:39:42 +0100

ghc (7.4.0.20111219-3) experimental; urgency=low

  * patches/kfreebsd-OS: KFreeBSD is an ELF-based OK
  * patches/S390-Arch: Mention bitness of S390(x)
  * patches/ArchMips: Add more missing Arch values

 -- Joachim Breitner <nomeata@debian.org>  Fri, 30 Dec 2011 18:05:33 +0100
