## ghc 7.4.0.20120126

=== debian/changelog ===
ghc (7.4.0.20120126-1) experimental; urgency=low

  * New upstream release candidate (7.4.1-rc2)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 28 Jan 2012 13:31:10 -0500
