=== debian/control ===
--- 
+++ 
@@ -11,7 +11,9 @@
   ghc,
   grep-dctrl,
   autotools-dev,
+  autoconf,
   gcc (>= 4:4.2),
+  llvm-3.0 [armel armhf],
   libffi-dev,
   pkg-config,
   xsltproc,
@@ -25,12 +27,12 @@
 
 Package: ghc
 Architecture: any
-Depends: gcc (>= 4:4.2), libgmp-dev, libffi-dev, libbsd-dev, libc6-dev, ${shlibs:Depends}, ${misc:Depends}
+Depends: gcc (>= 4:4.2), llvm-3.0 [armel armhf], libgmp-dev, libffi-dev, libbsd-dev, libc6-dev, ${shlibs:Depends}, ${misc:Depends}
 Provides: haskell-compiler, ${provided-devs}, ${haskell:Provides}, ${ghci}
 Replaces: ghc6 (<< 7)
 Conflicts: ghc6 (<< 7)
 Breaks: cabal-install (<< 0.8.0), haskell-devscripts (<< 0.6.19), ghc-doc (<= 6.12.1-8)
-Suggests: perl, ghc-prof, ghc-doc, haskell-doc, llvm
+Suggests: perl, ghc-prof, ghc-doc, haskell-doc, llvm-3.0
 Description: The Glasgow Haskell Compilation system
  The Glorious Glasgow Haskell Compilation system (GHC) is a compiler for
  Haskell.
@@ -116,7 +118,7 @@
  Haddock can generate documentation in multiple formats; currently HTML
  is implemented, and there is partial support for generating DocBook.
  .
- This package contains Haddock version 2.9.4.
+ This package contains Haddock version 2.10.0.
 
 Package: ghc6
 Architecture: all
