=== debian/rules ===
--- 
+++ 
@@ -40,21 +40,12 @@
 configure-stamp:
 	dh_testdir
 
+	autoconf
+
 	rm -f mk/build.mk
 	echo "SRC_HC_OPTS += -lffi -optl-pthread" >> mk/build.mk
 	echo "HADDOCK_DOCS := YES" >> mk/build.mk
 	echo "XSLTPROC_OPTS += --nonet" >> mk/build.mk
-ifneq (,$(findstring $(DEB_HOST_ARCH), i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc))
-	echo "GhcUnregisterised=NO" >> mk/build.mk
-else
-	echo "GhcUnregisterised=YES" >> mk/build.mk
-endif
-ifneq (,$(findstring $(DEB_HOST_ARCH), kfreebsd-i386 kfreebsd-amd64))
-	echo "GhcWithInterpreter=YES" >> mk/build.mk
-endif
-ifneq (,$(findstring $(DEB_HOST_ARCH), arm armel armhf alpha ia64))
-	echo "UseLibFFIForAdjustors=YES" >> mk/build.mk
-endif
 ifneq (,$(findstring $(DEB_HOST_ARCH), arm armel armhf))
 	echo "SRC_HC_OPTS     += -optc-mlong-calls" >> mk/build.mk
 endif
@@ -185,8 +176,8 @@
 	    echo 'ghci=ghc-ghci' >> debian/ghc.substvars ; fi
 
 	# Add haddock substvars
-	echo "haddock:Depends=$$(debian/tmp/usr/bin/haddock --interface-version)" >> debian/ghc-doc.substvars
-	echo "haddock:Provides=$$(debian/tmp/usr/bin/haddock --interface-version)" >> debian/ghc-haddock.substvars
+	echo "haddock:Depends=haddock-interface-$$(debian/tmp/usr/bin/haddock --interface-version)" >> debian/ghc-doc.substvars
+	echo "haddock:Provides=haddock-interface-$$(debian/tmp/usr/bin/haddock --interface-version)" >> debian/ghc-haddock.substvars
 
 ifeq (YES,$(BUILD_HADDOCK_DOCS))
 	mkdir -p debian/tmp/usr/lib/ghc-doc
@@ -195,3 +186,9 @@
 	mkdir debian/tmp/usr/lib/ghc-doc/haddock/
 	for f in `find debian/tmp/usr/share/doc/ghc-doc/html/libraries/ -maxdepth 1 -mindepth 1 -type d`; do \
 	    mkdir debian/tmp/usr/lib/ghc-doc/haddock/`basename $$f` ; \
+	    mv $$f/*.haddock debian/tmp/usr/lib/ghc-doc/haddock/`basename $$f` ; done
+	cd debian/tmp/usr/share/doc/ghc-doc/html/libraries/; ln -s ghc-$(ProjectVersion) ghc
+	install -Dm 644 debian/index.html debian/tmp/usr/share/doc/ghc-doc/index.html
+endif
+
+ifeq (ia64,$(DEB_HOST_ARCH)) # Tested and seen to be necessary with 6.12.1
